Last Comment Bug 476541 - Hang if page puts up an alert sheet while a modal dialog is open [Mac]
: Hang if page puts up an alert sheet while a modal dialog is open [Mac]
Status: NEW
[tbwants]
: hang, testcase
Product: Core
Classification: Components
Component: Widget: Cocoa (show other bugs)
: Trunk
: x86 Mac OS X
: P2 critical with 53 votes (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
https://bugzilla.mozilla.org/attachme...
: 448452 456993 485398 488079 488902 499562 500412 507332 509709 511570 519757 522092 528149 541257 542556 551473 555232 555385 558797 559244 561193 561865 561983 562869 577244 577787 577932 583512 585549 586326 586896 590914 591675 591842 595177 605842 606887 613144 613303 618873 627733 640973 647721 652898 655502 660460 682605 703022 711783 712633 714212 721889 725034 735992 766212 779023 793402 796986 807558 854216 867806 945388 956618 982762 992490 1000235 1028864 1081718 1094831 1164411 1172236 1172962 1173741 1238787 (view as bug list)
Depends on: 663275 729720 468393
Blocks: 530608 566179 705568 711808 482811 485398 660460
  Show dependency treegraph
 
Reported: 2009-02-02 15:31 PST by Henrik Skupin (:whimboo)
Modified: 2016-03-03 15:14 PST (History)
140 users (show)
gavin.sharp: firefox‑backlog-
jaas: blocking1.9.1-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
-


Attachments
image of two blocked dialog boxes (102.90 KB, image/gif)
2009-08-17 20:49 PDT, fabiopanico
no flags Details
The "Save As" dialogue is interrupted by a Gmail calendar reminder. (413.99 KB, image/png)
2010-04-27 21:07 PDT, Ted
no flags Details
The same problem occurs in Thunderbird, if this alert (GnuPG not found, see image) pops up while in a "save as..." dialog. (21.84 KB, image/png)
2010-04-28 14:19 PDT, Dudel Man
no flags Details
Unresponsive Script Dialog Box (13.78 KB, image/gif)
2010-06-03 20:17 PDT, Alan
no flags Details
"Unresponsive Script" dialog can't be dismissed and Open File can't Cancel or Save (133.01 KB, image/png)
2011-02-23 23:55 PST, Bob Kanefsky
no flags Details
With an unresponsive script dialog active, neither that dialog nor Open File can be dismissed (52.21 KB, image/png)
2011-05-16 15:38 PDT, Philip Machanick
no flags Details

Description Henrik Skupin (:whimboo) 2009-02-02 15:31:34 PST
Mozilla/5.0 (Macintosh; U; Intel Mac OS X 10.5; en-US; rv:1.9.2a1pre) Gecko/20090202 Minefield/3.2a1pre ID:20090202020617

+++ This bug was initially created as a clone of Bug #468393 +++

Following the steps will hang the browser completely:
1) Load https://bugzilla.mozilla.org/attachment.cgi?id=351645
2) Hit Cmd+S before the alert comes up
3) Wait...

While staying in step 3 you will see that the alert sheet is positioned under the save dialog. When this happens there is no way to close the save dialog. The browser has to be killed.

See also attachment 352138 [details] for a stack trace.
Comment 1 Steven Michaud [:smichaud] (Retired) 2009-02-03 08:42:20 PST
There is a patch for this at bug 468393 (attachment 356977 [details] [diff] [review]).
Comment 2 Steven Michaud [:smichaud] (Retired) 2009-02-03 13:39:18 PST
Do we really want this bug to block the 1.9.1 release?

As I mentioned above, there's already a patch for this bug at bug
468393 comment #24.  I think the patch is perfectly adequate (as
something to tide us over until larger changes are made to Gecko and
Cocoa widgets to allow modal windows to work properly on OS X).  But
Josh disagrees, and has rejected the patch.

Even I say that my patch is speculative enough that it must go into a
beta (not an RC) -- so it would need to block beta3.  And there's no
chance I'll be able to come up with a better patch before we re-write
the modal windows implementation on OS X.
Comment 3 Josh Aas 2009-02-03 16:41:44 PST
This bug is bad but not a regression, I believe any patch would be too risky for 1.9.1. We need to fix this class of bugs the right way and we're looking into it for 1.9.2.
Comment 4 Matthias Versen [:Matti] 2009-02-13 12:11:50 PST
*** Bug 478456 has been marked as a duplicate of this bug. ***
Comment 5 Steven Michaud [:smichaud] (Retired) 2009-04-20 17:58:23 PDT
*** Bug 488902 has been marked as a duplicate of this bug. ***
Comment 6 fabiopanico 2009-08-17 20:49:58 PDT
Created attachment 394986 [details]
image of two blocked dialog boxes

Hi,

Just thought I could add my experience with this problem.

I'm using Firefox 3.5.2 on Mac OS X 10.5.8 and I also had this problem a couple of times, also with earlier releases, but I could not precise exactly since when.

It seems to me that force quit is the only option whenever two dialog boxes appear at the same time, no matter if they are "script no responsive", "print/save as pdf dialog", "accept cookies?" or "type your master password".

It seems like the bugs linked down under also reflects this problem (duplicate?):
https://bugzilla.mozilla.org/show_bug.cgi?id=509709
https://bugzilla.mozilla.org/show_bug.cgi?id=488079

I am attaching an image of the blocked dialog boxes
Comment 7 Henrik Skupin (:whimboo) 2009-08-18 00:01:33 PDT
*** Bug 509709 has been marked as a duplicate of this bug. ***
Comment 8 Henrik Skupin (:whimboo) 2009-08-18 00:03:27 PDT
*** Bug 488079 has been marked as a duplicate of this bug. ***
Comment 9 Henrik Skupin (:whimboo) 2009-08-18 00:10:31 PDT
*** Bug 500412 has been marked as a duplicate of this bug. ***
Comment 10 Matthias Versen [:Matti] 2009-09-30 14:22:50 PDT
*** Bug 519757 has been marked as a duplicate of this bug. ***
Comment 11 Matthias Versen [:Matti] 2009-10-13 15:51:04 PDT
*** Bug 522092 has been marked as a duplicate of this bug. ***
Comment 12 wwwhack 2009-11-06 06:37:22 PST
Perhaps Bug 479749 is a duplicate as well?
Comment 13 wwwhack 2009-11-06 06:41:57 PST
(In reply to comment #12)
> Perhaps Bug 479749 is a duplicate as well?

Sorry - that bug # was a typo - I'd intended to mention Bug 479743 as a potential duplicate.
Comment 14 Steven Michaud [:smichaud] (Retired) 2009-11-06 08:13:04 PST
(In reply to comment #13)

It might be, but there's not enough information at bug 479473 to tell.
Comment 15 Henrik Skupin (:whimboo) 2010-01-13 11:09:00 PST
I was confronted with this bug three times today by just switching away to another application while the save dialog is open. Coming back after around 10-15s I always see the script alert dialog which blocks everything. You have to hard-kill Firefox.
Comment 16 Ed Lee :Mardak 2010-01-13 11:28:54 PST
I can also reproduce this with this url:

data:text/html,<iframe src="javascript:print()"></iframe><iframe src="javascript:alert(0)"></iframe>
Comment 17 Matthias Versen [:Matti] 2010-01-22 15:16:14 PST
*** Bug 541257 has been marked as a duplicate of this bug. ***
Comment 18 zug_treno 2010-03-12 16:03:46 PST
*** Bug 542556 has been marked as a duplicate of this bug. ***
Comment 19 Henrik Skupin (:whimboo) 2010-03-22 12:40:09 PDT
Is is getting very annoying in the last weeks. All the time when you have open the save as dialog and switch to another application, the script alert dialog pops-up and blocks the whole UI. I have to run a force kill on Namoroka. :/

Steps:
1. Open a web page and press Cmd/Ctrl+S
2. Switch to another application
3. Wait some seconds

It would be fantastic if we would find some time to fix it for Firefox 3.7.
Comment 20 Steven Michaud [:smichaud] (Retired) 2010-04-01 10:23:51 PDT
*** Bug 555232 has been marked as a duplicate of this bug. ***
Comment 21 Joe Drew (not getting mail) 2010-04-06 14:52:50 PDT
Josh, would you make a blocking call on this?
Comment 22 Mike Shaver (:shaver -- probably not reading bugmail closely) 2010-04-06 15:03:10 PDT
How far did we get with the 1.9.2 work described in comment 3?
Comment 23 Josh Aas 2010-04-07 10:23:40 PDT
We didn't get started on fixing the major modal dialog bugs for 1.9.2. I'd really like to fix this for 1.9.3 but I don't think anything has changed when it comes to blocking a release (we minused it for 1.9.1 and 1.9.2). I'll look in to when we might be able to do this again.
Comment 24 Matthias Versen [:Matti] 2010-04-12 10:12:02 PDT
*** Bug 558797 has been marked as a duplicate of this bug. ***
Comment 25 cmtalbert 2010-04-12 12:35:28 PDT
This is looking to be a bit more common than you'd imagine.  Dave found it this morning because Firebug caused a "slow script dialog" while he was trying to print something, and he was using 3.6.3 released builds.  I had it just happen to me on a lanikai nightly when another extension caused a slow script dialog while I had open an "attach file" dialog to attach something to an email message.  

Since for our future releases we are actively pushing extensions, jetpacks, and putting weave into Firefox, I think that we are potentially creating a scenario where it is more likely end users will hit this bug.  And I think that the "work around" (i.e. force quit the application and restart) is severe enough that we should fix this sooner rather than later.  In short, please find a way to block 1.9.3 on this.
Comment 26 Matthias Versen [:Matti] 2010-04-13 21:18:06 PDT
*** Bug 456993 has been marked as a duplicate of this bug. ***
Comment 27 Matthias Versen [:Matti] 2010-04-13 21:18:30 PDT
*** Bug 559244 has been marked as a duplicate of this bug. ***
Comment 28 Matthias Versen [:Matti] 2010-04-23 03:23:27 PDT
*** Bug 561193 has been marked as a duplicate of this bug. ***
Comment 29 Matthias Versen [:Matti] 2010-04-27 03:36:50 PDT
*** Bug 561983 has been marked as a duplicate of this bug. ***
Comment 30 Matthias Versen [:Matti] 2010-04-27 03:43:40 PDT
*** Bug 561865 has been marked as a duplicate of this bug. ***
Comment 31 Ted 2010-04-27 21:07:23 PDT
Created attachment 442019 [details]
The "Save As" dialogue is interrupted by a Gmail calendar reminder.
Comment 32 Dudel Man 2010-04-28 14:19:43 PDT
Created attachment 442187 [details]
The same problem occurs in Thunderbird, if this alert (GnuPG not found, see image) pops up while in a "save as..." dialog.

This problem occurs in both, Firefox and Thunderbird.
Comment 33 Matthias Versen [:Matti] 2010-04-30 06:21:31 PDT
*** Bug 562869 has been marked as a duplicate of this bug. ***
Comment 34 abergeron 2010-05-11 09:30:48 PDT
I always get this with the "Save As ..." dialog on a image when i'm not fast enough.

To reproduce, open the save dialog (with "Save As ..." on a image in the page) and then wait a while (like around 20 secs) you get a dialog saying that a script has hanged on the page, and the script is 

/Applications/Firefox.app/Contents/MacOS/modules/NetworkPrioritizer.js 

and you end up in the situation described above being unable to dismiss both dialogs.

I had this happen since 3.5 and on OS X 10.5 and 10.6.  I do not remember this happening with 3.0 but I cannot comfirm the bug was not present.
Comment 35 Dave Scocca 2010-05-13 18:23:07 PDT
Apparently, in some instances having the Save As... dialog open produces the "Script unresponsive" sheet even when the page has no script.  I was able to reproduce this reliably by:

(1) Go to the URL of a .jpg image.

(2) Type Cmd-I to bring up the Get-Info window

(3) Go to the Media tab

(4) Click the Save-As button to bring up the Save-As dialog.

(5) Switch to another application, wait 30 seconds, and switch back to Firefox.

The Get-Info window will pop up the unresponsive-script sheet, and neither the sheet nor the Save-As dialog can be dismissed--the only solution is to force quit.

It looks as if the presentation of the Save-As dialog is causing the responsiveness-checker to fail to get its expected response, so if you delay too long at Save-As it will think there's a script problem even when there is no script on the page.
Comment 36 Marco Brandizi 2010-05-21 14:36:17 PDT
What I can guess is that there are scripts in other places too, non only in shown pages (eg.: the Stylish plug-in).
Comment 37 Alan 2010-06-03 20:13:22 PDT
Add me to the list.  I'm getting this too.  It's easy to reproduce. I just try to print a webpage and then use the "Save as PDF" option.  It usually happens when I'm trying to fill in the PDF information like filename, title, subject, keywords, etc.  It usually takes me a while to get that all filled in.  That's when I get the "Warning: Unresponsive script" dialog box.  It says: A script on this page may be busy, or it may have stopped responding. You can stop the script now or you can continue to see if the script will complete. Script: chrome://noscript/content/ClearClickHandler.js:182"

I'm not sure why it says "chrome:..."  I have chrome installed, but I'm running Firefox. Hmm.  Anyway, I have a picture of the dialog box if you want it.
Comment 38 Alan 2010-06-03 20:17:55 PDT
Created attachment 449180 [details]
Unresponsive Script Dialog Box

This is a screen capture of the dialog box that comes up while I'm trying to fill in the "Save to a PDF" print dialog box.
Comment 39 Matthias Versen [:Matti] 2010-07-07 16:05:39 PDT
*** Bug 577244 has been marked as a duplicate of this bug. ***
Comment 40 timeless 2010-07-10 15:00:21 PDT
*** Bug 482811 has been marked as a duplicate of this bug. ***
Comment 41 timeless 2010-07-10 15:00:32 PDT
*** Bug 485398 has been marked as a duplicate of this bug. ***
Comment 42 Matthias Versen [:Matti] 2010-07-31 14:11:14 PDT
*** Bug 528149 has been marked as a duplicate of this bug. ***
Comment 43 Matthias Versen [:Matti] 2010-07-31 14:11:22 PDT
*** Bug 583512 has been marked as a duplicate of this bug. ***
Comment 44 Alan 2010-08-09 15:39:13 PDT
This also happens if an add-on/extension puts up a dialog box and the user takes too long (either selecting options or entering information in the dialog box) before the dialog box is dismissed.
Comment 45 Stefan [:stefanh] (away until May 28) 2010-08-10 05:06:26 PDT
*** Bug 585549 has been marked as a duplicate of this bug. ***
Comment 46 Emile Schwarz 2010-08-11 02:06:40 PDT
The trouble also appears when an error occured while downloading: a sheet window appears IN the Download window telling the user that Firefox is unable to download file xxx (either a downloaded item _and_ an item that is part of a web page).

It is not only a "Warning: Unresponsive script" bug.

At last, FireFox version 3.6.8 is the current version.
Comment 47 Matthias Versen [:Matti] 2010-08-11 13:11:43 PDT
*** Bug 586326 has been marked as a duplicate of this bug. ***
Comment 48 Joe Sewell 2010-08-11 18:17:18 PDT
Would it be at all possible, if this gets fixed in time, to apply it to Firefox 3.6.x as well, since it is the last PowerMac branch? Those of us who cannot afford to upgrade our ancient hardware would appreciate the fix, even if it's the last Firefox build we see before we can upgrade.
Comment 49 Matthias Versen [:Matti] 2010-09-03 19:31:00 PDT
*** Bug 591675 has been marked as a duplicate of this bug. ***
Comment 50 Dan 2010-09-03 20:01:49 PDT
No one assigned to fix this?  How can that be induced?
Comment 51 timeless 2010-09-04 16:30:16 PDT
I can assign it to you if you'd like.

https://bugzilla.mozilla.org/page.cgi?id=etiquette.html
1. No pointless comments. 
2. No obligation.
Comment 52 Dan 2010-09-04 16:43:36 PDT
Why not a bidding system?   People could vote wish cash commitment.  This is a serious bug, but there is no one responsible to fix it so offer cash as inducement.
Comment 53 timeless 2010-09-04 16:50:02 PDT
that's offtopic. try google? http://forums.mozillazine.org/viewtopic.php?t=100594
Comment 54 VHDES 2010-09-08 11:50:01 PDT
Ran into this bug again today while saving a PDF document, my AT&T session logged me out and threw up a modal dialog to tell me.  Can't complete the Save As.. or get to the modal to acknowledge it.

Mac OS X 10.6.4
Mozilla/5.0 (Macintosh; U; Intel Mac OS X 10.6; en-US; rv:1.9.2.8) Gecko/20100722 YFF35 Firefox/3.6.8 GTB7.1
Comment 55 Chris Lawson (gone) 2010-09-08 12:49:23 PDT
I assume that change to Windows XP wasn't intentional, since Windows doesn't have Widget:Cocoa...
Comment 56 Dan 2010-09-09 00:30:22 PDT
Mac OS X has increases its piece of the OS pie materially, yet no one in the developer group sees this.   Is the model broken?  Bounty system if bugs are looked at those critters? Timeless?
Comment 57 Chas Belov 2010-10-19 22:25:32 PDT
Mac OS X 10.6.4; Firefox 3.6.10 
I navigated away from the print dialog box for a while then came back to this bug.  Had to force quit.  (The good news is the e-commerce confirmation page I was on redisplayed on re-launch and I was then able to print it.)

Posting to be added to cc list
Comment 58 Matthias Versen [:Matti] 2010-10-20 09:33:00 PDT
*** Bug 605842 has been marked as a duplicate of this bug. ***
Comment 59 nancy_leo_imesa 2010-10-20 16:30:01 PDT
This bug is really frustrating -
Again every time I try to do a pdf print, there is a dialog box is shown and even I can follow all the pdf printing step, but :
1- the pdf file is never been saved
2- everything else is hanging, FF can be quit (even "Quit" mode is shown), none of the windows/tab can be closed, basically nothing can be done.
3- the only way getting out of this problem is do "Force Quit" from apple option
and that means all my FF windows has to be closed which disrupting my work and not able to save.
PLEASE have the priority of this bug high!
THIS PROBLEM HAPPENS ALL THE TIME!!!
Comment 60 Wayne Mery (:wsmwk, NI for questions) 2010-10-21 05:35:20 PDT
question: is this bug totally focused on the hang aspect of these dups?  If it doesn't attempt to address what is causing the unresponsive script pop up, then there's a big issue that isn't getting attention. Or has a core bug been identified that deals with that but isn't in this bug's dependencies?

Also, what is the earliest date of trunk build that shows this behavior?

Chronology of some reports:
bug 476541 - this bug - (20090202)
Bug 482811 - Unresponsive script timeout can cause hang if file dialog open (20090308)
Bug 451839 - Closing large html file that does DOM manipulation at startup is very slow - closing errors out with "unresponsive script (2008070206)
Comment 61 Henrik Skupin (:whimboo) 2010-10-21 07:06:41 PDT
Steven, shouldn't we widen this bug for all platforms? But I'm not sure because of your mentioned bug for OS X specifically.
Comment 62 Wayne Mery (:wsmwk, NI for questions) 2010-10-21 07:20:29 PDT
note - I'm not suggesting this bug must change. it may be more appropriate or cleaner (I suspect) to 
a) keep the bugs separate by OS
b) find or create a core bug that best details with the script timeout part
Comment 63 Steven Michaud [:smichaud] (Retired) 2010-10-21 08:50:06 PDT
(In reply to comment #61)

As far as I know this bug is specific to OS X.
Comment 64 Wayne Mery (:wsmwk, NI for questions) 2010-10-21 13:44:35 PDT
potential dups for someone to act on:
Bug 542257
Bug 511570
Bug  543421
Bug 551473
Bug 566179
Bug 577932
Comment 65 Joe Sewell 2010-10-21 16:40:46 PDT
(In reply to comment #63)
> (In reply to comment #61)
> 
> As far as I know this bug is specific to OS X.

In this case the problem is with a user interface component specific to Mac OS X: the alert sheet, which pops up from just under the title bar of a window. The sheet itself is attached to a window, so it has no inherent controls of its own. I suppose a Motif XmDialog window could have similar behavior, though most window managers provide a Close operation even in a dialog's frame. Microsoft Windows is a whole different critter on its own.

While it may be possible to have something similar happen with other OS's, those other user interfaces could provide a means of escape that OS X doesn't. That makes it specifically nasty on that platform.
Comment 66 Josh Aas 2010-10-22 15:50:58 PDT
Minusing for blocking2.0, I'd still like to fix this but the blocking logic is no different now than for 1.9.1 or 1.9.2. We just haven't gotten to this yet unfortunately.
Comment 67 bugzilla 2010-10-23 20:39:33 PDT
(In reply to comment #60)
> question: is this bug totally focused on the hang aspect of these dups?  If it
> doesn't attempt to address what is causing the unresponsive script pop up, then
> there's a big issue that isn't getting attention. Or has a core bug been
> identified that deals with that but isn't in this bug's dependencies?

IMO this bug *should* focus on the hang aspect of these bugs.  Yes, unresponsive scripts are an annoyance but in general they do not potentially cause a loss of data.  However, a deadlock between two modal UI elements, as demonstrated by this bug, does have the potential to lose data and cause a major inconvenience (i.e. lose the entire browsing session over multiple tabs and windows), rather than just a mild annoyance (fail to complete a single script in a single tab).

I understand the implied concern about fixing a symptom rather than an underlying problem, but in this case I think the hang problem is a genuine defect in its own right.  And my fear is that if attention is diverted away from the hang aspect, then there will always be more ways for scripts to become unresponsive and so the potential for this defect will always be there.
Comment 68 Matthias Versen [:Matti] 2010-10-25 06:08:58 PDT
*** Bug 577932 has been marked as a duplicate of this bug. ***
Comment 69 Matthias Versen [:Matti] 2010-10-25 06:09:15 PDT
*** Bug 590914 has been marked as a duplicate of this bug. ***
Comment 70 Matthias Versen [:Matti] 2010-10-25 06:09:27 PDT
*** Bug 606887 has been marked as a duplicate of this bug. ***
Comment 71 nancy_leo_imesa 2010-10-25 13:59:22 PDT
Another sample of Alert dialog which cause hanging FF:

"Alert : The document cannot change while printing or in print preview"

Again this happens on Mac OS 10,  
Mozilla/5.0 (Macintosh; U; Intel Mac OS X 10.4; en-US; rv:1.9.2.11) Gecko/20101012 Firefox/3.6.11

and due to pdf printing!!
It has been so long since this bug is reported and apparently nothing is done!
Comment 72 Joe Sewell 2010-10-25 17:37:12 PDT
(In reply to comment #67)
> I understand the implied concern about fixing a symptom rather than an
> underlying problem, but in this case I think the hang problem is a genuine
> defect in its own right.

Agreed. On an older, slower machine like mine (PowerMac G4 450 MHz ... cannot afford a new machine, sorry) script timeouts would be frequent if I didn't tweak the settings. The hang can occur anyhow.
Comment 73 David Fonseca, III 2010-11-05 08:35:50 PDT
I've just seen this on FF 3.6.12, 
Mozilla/5.0 (Macintosh; U; Intel Mac OS X 10.6; en-US; rv:1.9.2.12) Gecko/20101026 Firefox/3.6.12

There is probably a dupe at 595177
Comment 74 Matthias Versen [:Matti] 2010-11-18 03:10:19 PST
*** Bug 613144 has been marked as a duplicate of this bug. ***
Comment 75 Matthias Versen [:Matti] 2010-11-18 14:38:46 PST
*** Bug 613303 has been marked as a duplicate of this bug. ***
Comment 76 Emile Schwarz 2010-11-27 06:25:09 PST
I got this bug using Thunderbird yesterday.

MacBook 2.4GHz Unibody 2008-11
Thunderbird 3.1.6.

“My patience is starting to be… empty”...
Comment 77 Matthias Versen [:Matti] 2010-12-13 14:48:21 PST
*** Bug 618873 has been marked as a duplicate of this bug. ***
Comment 78 Shayne O'Neill 2010-12-13 18:02:42 PST
This is getting frusturating this isnt getting fixed :( 

Its an exploitable show stopper, and because it makes firefox unsuitable for office type work, it really needs to be a 'stop everything and fix this first' sort of thing.

I've had to resort to Chrome because i've lost too much work already :(
Comment 79 Alan Batie 2010-12-22 13:43:17 PST
I ran into it in Thunderbird as well... Mozilla/5.0 (Macintosh; U; Intel Mac OS X 10.6; en-US; rv:1.9.2.13) Gecko/20101207 Lightning/1.0b2 Thunderbird/3.1.7
Comment 80 Zandr Milewski [:zandr] 2010-12-30 10:33:03 PST
I got this yesterday in Minefield between a Master Password sheet and a filepicker, so it's really any sheet vs. any modal dialog from the look of it.

Is the logic for blocking documented somewhere? I don't understand the process that leads to something like this being minused for three branches in a row.
Comment 81 Dave Herman [:dherman] 2010-12-30 10:41:37 PST
> Is the logic for blocking documented somewhere? I don't understand the process
> that leads to something like this being minused for three branches in a row.

CC'ing Brendan, who has mentioned some of the vagaries of alert() and blocking to me in the past.

Dave
Comment 82 Wayne Mery (:wsmwk, NI for questions) 2010-12-30 21:14:53 PST
*** Bug 507332 has been marked as a duplicate of this bug. ***
Comment 83 Wayne Mery (:wsmwk, NI for questions) 2010-12-30 21:17:09 PST
*** Bug 595177 has been marked as a duplicate of this bug. ***
Comment 84 Wayne Mery (:wsmwk, NI for questions) 2010-12-30 21:17:37 PST
*** Bug 577787 has been marked as a duplicate of this bug. ***
Comment 85 Wayne Mery (:wsmwk, NI for questions) 2010-12-30 21:22:25 PST
funny you should mention Brendan. Is bug 618479 involved?  Firefox freezes on various terre-adelice.eu pages (unresponsive script)
Comment 86 Zandr Milewski [:zandr] 2010-12-31 09:44:22 PST
(In reply to comment #81)

> CC'ing Brendan, who has mentioned some of the vagaries of alert() and blocking
> to me in the past.

Actually, I was referring to this:

(In reply to comment #66)
> Minusing for blocking2.0, I'd still like to fix this but the blocking logic is
> no different now than for 1.9.1 or 1.9.2. We just haven't gotten to this yet
> unfortunately.

This is the logic I'm trying to understand. This bug can cause data loss, is more than two years old, has 33 dupes here and another dozen or so on bug 482811, has been fixed once, and has been minused for three branches in a row.

The only logic I can find justified in this bug's history is that it would be better to fix it by rewriting gecko's window handling code. As I understand it, this was planned but not done for both 1.9.2 and 1.9.3/2.0.

There was a fix that we decided not to take in bug 468393, though I suspect there's been substantial bitrot since 1.9.1.

Can someone point me at something to read that would explain why this isn't blocking2.0, or what would have to change to make it so? I'm trying to learn here, not throwing stones.
Comment 87 Casey Howard 2010-12-31 09:59:22 PST
I consider this a pretty serious issue too. It's enough to make me use Chrome as my main browser. Let's say you made changes to a page that was on your local machine and you go to save it. If any tab you have open becomes unresponsive while that save dialog is open, you're screwed. Also if you're trying to print something that only lets you view it once and something becomes unresponsive, same thing: you're screwed.
Comment 88 Brendan Eich [:brendan] 2010-12-31 20:26:15 PST
We don't need to block unrelated and unconnected pages' JS execution due to one of the pages flying an alert. We do need to block the parent window's JS execution, and any in connected windows/frames.

This bug should have been fixed a while ago. It's a stain on our escutcheon. At this point I can't see slipping Firefox 4 for it, but the tgood news is that we are going to a quarterly release schedule, so it should be fixed for Firefox 5. Josh?

/be
Comment 89 Mitra Ardron 2011-01-01 02:45:05 PST
The impact is far worse than this is n mail where Bug #482811 depends on this, and mail gets lost frequently because this hasn't been fixed.
Comment 90 Joe Sewell 2011-01-01 14:53:56 PST
(In reply to comment #88)
> We don't need to block unrelated and unconnected pages' JS execution due to one
> of the pages flying an alert. We do need to block the parent window's JS
> execution, and any in connected windows/frames.
> 
> This bug should have been fixed a while ago. It's a stain on our escutcheon. At
> this point I can't see slipping Firefox 4 for it, but the tgood news is that we
> are going to a quarterly release schedule, so it should be fixed for Firefox 5.
> Josh?
> 
> /be

Watch whose escutcheons you stain, fella. :)

Seriously, though, allow me to vote '''against''' waiting until after Firefox 3, as one who is on an older PowerMac who has already been barred from the Intel-only Firefox 4 pre-releases. I realize it's probably severe enough to want to avoid regression back to OS X Tiger on a PowerMac, but it does strand those of us who just plain cannot afford new hardware right now.
Comment 91 David Humphrey (:humph) 2011-01-04 17:52:44 PST
*** Bug 615931 has been marked as a duplicate of this bug. ***
Comment 92 Christophe Jacquet 2011-01-05 04:14:16 PST
*** Bug 551473 has been marked as a duplicate of this bug. ***
Comment 93 Matthias Versen [:Matti] 2011-01-21 13:48:00 PST
*** Bug 627733 has been marked as a duplicate of this bug. ***
Comment 94 Wayne Mery (:wsmwk, NI for questions) 2011-02-07 10:00:02 PST
*** Bug 499562 has been marked as a duplicate of this bug. ***
Comment 95 Wayne Mery (:wsmwk, NI for questions) 2011-02-13 05:22:44 PST
*** Bug 591842 has been marked as a duplicate of this bug. ***
Comment 96 Bob Kanefsky 2011-02-23 23:55:37 PST
Created attachment 514743 [details]
"Unresponsive Script" dialog can't be dismissed and Open File can't Cancel or Save
Comment 97 Alan 2011-03-02 19:55:39 PST
I have had the same problem.  This is extremely annoying and I hope it will be fixed ASAP.  The error dialogs on Mac seem to be problematic in many ways.  This happens to me with Unresponsive Script errors and Connection Timeout errors.  I also get dozens of stacked errors sometimes.
Comment 98 Shayne O'Neill 2011-03-02 20:48:27 PST
I'm getting to the point that if someone doesn't actually pick this up, I'm going to release a working browser crash exploit to the press to force the issue. This is causing too many people to have to give up on firefox because currently its too dangerous to use firefox for mission critical work like intranets without potentially losing a lot of editing work.

Is there *ANY* way of getting this bug to the attention of developers, because its STILL not even got someone accepting the bug for work, after hundreds of complaints.

Can we at least set this as blocking? Its irresponsible for Mozilla to continue to ignore this bug.
Comment 99 Mitra Ardron 2011-03-02 21:00:22 PST
Here here, its a repeatable, crashing, data-loss (especially in Thunderbird) bug that has been open for 2 years!
Comment 100 Josh Aas 2011-03-02 21:04:52 PST
I believe Firefox 4 will at least mitigate this issue by not using the types of modal dialogs that sometimes lead to this hang. The alert dialogs are tab-modal.
Comment 101 Shayne O'Neill 2011-03-03 01:56:45 PST
Can that be backported to the 3.x line in the meantime?
Comment 102 Casey Howard 2011-03-22 14:05:20 PDT
I just installed FF4 and confirmed that this is still an issue. So there is nothing really to backport. Back to Chrome I guess.
Comment 103 Christophe Jacquet 2011-03-22 23:59:18 PDT
I'm seeing the issue again with the "Save as" dialog. Using Firefox 4.0 and Firebug 1.7.0. Firefox hung in one of Firebug's scripts.

Note that I had not seen the issue for long, with Firefox 4 and Firebug betas.
Comment 104 Matthias Versen [:Matti] 2011-04-04 13:22:36 PDT
*** Bug 647721 has been marked as a duplicate of this bug. ***
Comment 105 Matthias Versen [:Matti] 2011-05-07 17:57:51 PDT
*** Bug 655502 has been marked as a duplicate of this bug. ***
Comment 106 zakwilcox+mozillabugzilla 2011-05-11 00:08:27 PDT
Cross-posting this from bug 482811 while I'm posting to be added to CC list:

As a dirty hack, couldn't the file picker spawning code temporarily set dom.max_chrome_script_run_time to 0, then restore it once dismissed?  Yes, it's dirty, but if a proper fix requires "significant amounts of engineering effort" (#50) and people are losing data then perhaps it's justifiable.
Comment 107 Philip Machanick 2011-05-16 15:35:58 PDT
I've seen this often too. Most recently an "unresponsive script" warning popped out in conjunction with an open file dialog. I had to force-quit Firefox and I'm not 100% sure if the version info is current because I also got the "you just upgraded" page (though that could be a relic of the failed session):

Firefox 3.6.17
Mozilla/5.0 (Macintosh; U; Intel Mac OS X 10.6; en-US; rv:1.9.2.17) Gecko/20110420 Firefox/3.6.17
Comment 108 Philip Machanick 2011-05-16 15:38:34 PDT
Created attachment 532768 [details]
With an unresponsive script dialog active, neither that dialog nor Open File can be dismissed

Just another annoying example.
Comment 109 Matthias Versen [:Matti] 2011-05-27 12:23:07 PDT
*** Bug 652898 has been marked as a duplicate of this bug. ***
Comment 110 Wayne Mery (:wsmwk, NI for questions) 2011-06-13 09:06:14 PDT
*** Bug 511570 has been marked as a duplicate of this bug. ***
Comment 111 Vlad [QA] 2011-06-21 02:56:37 PDT
Build ID: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.6; rv:7.0a1) Gecko/20110620 Firefox/7.0a1
I've recently got a Firefox freeze.

You have to have lock screen function activated:
1. have one tab open.
2. hit cmd+p, the print dialog appears. Leave it on the screen and don't touch the mouse until...
3. ... the mac locks the screen
4. unlock the screen 

Actual result: firefox frizzes
Expected results: firefox should not freeze
Comment 112 Vlad [QA] 2011-06-29 06:41:00 PDT
*** Bug 663275 has been marked as a duplicate of this bug. ***
Comment 113 Rob 2011-07-14 06:35:42 PDT
This issue is terrible! It affects me very often.

To reproduce:
- Save an attachment
- When the save dialog pops up, navigate away from TB
- Spend a few seconds away
- Come back

Expected: Save dialog still there and user able to interact with it normally

Actual:
- Find that the "Unresponsive Script" message is behind the Save dialog
- Cannot close Save Dialog
- Cannot close Unresponsive Script message
- Must force quit TB

My environment:
Mac Intel
Mac OS 10.6.7
TB 3.1.11
Comment 114 Matthias Versen [:Matti] 2011-08-28 11:42:03 PDT
*** Bug 682605 has been marked as a duplicate of this bug. ***
Comment 115 Rob 2011-08-29 07:07:05 PDT
Since upgrading to Thunderbird 6.0, I am no longer able to reproduce this in Thunderbird on my Mac OX 10.6.8.

I hope the same is true for others.
Comment 116 Ben Milman 2011-08-29 10:12:31 PDT
(In reply to Rob from comment #115)
> Since upgrading to Thunderbird 6.0, I am no longer able to reproduce this in
> Thunderbird on my Mac OX 10.6.8.
> 
> I hope the same is true for others.

I was also unable to duplicate in Thunderbird 6.0 on OSX 10.6.8.
Comment 117 Chas Belov 2011-08-29 22:41:51 PDT
Reproduced in Thunderbird 6.0 on OS X 10.7.1:

1. Open an email with an attachment.
2. Right-click the attachment.
3. Choose Save as...
4. Alt-Tab to Firefox 6.0.
5. Interact with Firefox.
6. Alt-Tab back to Thunderbird.

Actual result: 
a. Clicking Cancel in the save dialog does nothing and sets the default back to Save.
b. Clicking Save allows you to do the save, but leaves the Save dialog open.
c. Moving the Save dialog reveals the Unresponsive script dialog, which cannot be interacted with.

So it looks like this bug, if fixed for OS X 10.6.8, has returned for 10.7.1.

*sigh*
Comment 118 Chas Belov 2011-08-29 22:44:58 PDT
My bad.  It doesn't complete the save.  I can create a new folder, or navigate between folders, but it doesn't save the file on clicking Save.
Comment 119 Wayne Mery (:wsmwk, NI for questions) 2011-10-01 03:32:45 PDT
*** Bug 586896 has been marked as a duplicate of this bug. ***
Comment 120 Wayne Mery (:wsmwk, NI for questions) 2011-10-10 09:44:03 PDT
*** Bug 555385 has been marked as a duplicate of this bug. ***
Comment 121 Matthias Versen [:Matti] 2011-12-18 10:38:26 PST
*** Bug 711783 has been marked as a duplicate of this bug. ***
Comment 122 Michael Kelly [:mkelly,:Osmose] 2011-12-30 09:06:51 PST
Still reproducible in Firefox 12.0a1 (2011-12-30) on OS X 10.6.8.
Comment 123 Wayne Mery (:wsmwk, NI for questions) 2011-12-30 12:44:55 PST
*** Bug 660460 has been marked as a duplicate of this bug. ***
Comment 124 smayer97 2011-12-30 13:59:27 PST
So this bug has been reported almost 3 years ago, has been reported in many duplicate bug submissions, and it appears that no one has made any progress on it. When will it be assigned to someone to actually work on it and fix it?
Comment 125 Matthias Versen [:Matti] 2012-01-17 01:17:23 PST
*** Bug 718542 has been marked as a duplicate of this bug. ***
Comment 126 Matthias Versen [:Matti] 2012-01-25 18:00:09 PST
*** Bug 703022 has been marked as a duplicate of this bug. ***
Comment 127 Matthias Versen [:Matti] 2012-01-27 16:03:22 PST
*** Bug 721889 has been marked as a duplicate of this bug. ***
Comment 128 Dan 2012-01-27 18:17:00 PST
Well I use Zimbra email now.  Bye Thunderbird as main email client.
Comment 129 Matthias Versen [:Matti] 2012-02-07 11:54:17 PST
*** Bug 725034 has been marked as a duplicate of this bug. ***
Comment 130 Adam Leeds 2012-02-19 13:45:52 PST
Still reproducing. And, actually, crashing my Firefox almost daily, since I need to Save As... lots of files as pdf through the Print dialog, almost always immediately triggering this bug and requiring a force quit.
Comment 131 Joe Sewell 2012-02-19 16:37:23 PST
(In reply to Adam Leeds from comment #130)
> Still reproducing. And, actually, crashing my Firefox almost daily, since I
> need to Save As... lots of files as pdf through the Print dialog, almost
> always immediately triggering this bug and requiring a force quit.

Have you tried setting dom.max_chrome_script_run_time to 0?
Comment 132 Kish Shen 2012-02-24 17:42:24 PST
I think I have experienced the same bug, when the "Unresponsive script" popup happens when I am in a "Save Page As" dialog, which is modal, so I cannot click on the "Unresponsive script" popup's buttons, but at the same time, clicking on the "Save Page As" buttons no longer do anything (i.e. I can't finish the Save Page As dialog). I have to kill the Firefox process to get round this problem.

I am using  Mac OS X 10.6.8, and I last noticed this problem about a month ago (with Firefox 9), but this may simply because the situation does not happen very often (the popup occurring during the "Save Page As" dialog). I also use Firefox on WIndows XP, and I have never seen this problem, but I have noticed a few times that I get a "unresponsive script" popup almost immediately after finishing the "Save Page As" dialog -- I don't know if this is a coincident, or if the popup was delayed until after the "Save Page As" dialog was finish (stopping such popups from occurring while you are in a modal dialog seems to be one way to solve this problem)
Comment 133 Jono Xia 2012-03-01 17:22:46 PST
I've seen this bug happen several times recently in Firefox Aurora 12.0a2 on Mac OS 10.6.8.
Comment 134 Steven Michaud [:smichaud] (Retired) 2012-03-02 18:03:31 PST
I've got a patch and tryserver build at bug 729720 that may fix these hangs.  See bug 729720 comment #11.

Whoever can still reproduce this bug's hangs in current trunk nightlies, please try it out and let us know your results.
Comment 135 Mardeg 2012-03-15 00:10:45 PDT
*** Bug 735992 has been marked as a duplicate of this bug. ***
Comment 136 colons 2012-03-26 04:15:51 PDT
OS X 10.7.3/FF 11, reporting in. Fully reproducible.
Comment 137 Jeremy W. Sherman 2012-05-02 12:48:12 PDT
Build ID: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.7; rv:14.0) Gecko/20120502 Firefox/14.0a2

Ran into this with the Save Link As… app-modal window. Had that up, then the Master Password modal appeared while the Save window was still up. Couldn't Save or Cancel the Save window, and couldn't focus the Master Password dialog. Completely stuck.
Comment 138 Matthias Versen [:Matti] 2012-06-19 12:53:39 PDT
*** Bug 766212 has been marked as a duplicate of this bug. ***
Comment 139 Matthias Versen [:Matti] 2012-07-31 14:10:28 PDT
*** Bug 779023 has been marked as a duplicate of this bug. ***
Comment 140 Richard Lynch 2012-08-03 13:49:00 PDT
This bug completely locks up the application, and in my case, "Force Quit" wasn't even an option.

Had to open a Terminal and use ps auxwww | grep Firefox to find the pid and kill -9 it.

I don't think many users will know how to do that...

At any rate, I hate to complain about free open source software, but there are a lot of votes for this.  Even more if you add up all the votes for the duplicates.

And it's been hanging around for over 2 years.

I'd take a shot at fixing it myself, but my C skills are so rusty that would be pointless.
Comment 141 Philip Machanick 2012-08-05 01:43:10 PDT
To add a minor data point I am still seeing this issue with recent builds with the unresponsive script dialog. Neither it not the competing dialog accepts focus and force quit is the only escape.
Comment 142 garylowens 2012-08-13 00:17:46 PDT
STILL in FireFox 14.0.1

Getting really really really REALLY annoying.
Can't update flash, because during the "save file" dialog,
either (1) a cookie wants to get set, or (2) script is taking too long.
Comment 143 colons 2012-08-29 12:06:27 PDT
(In reply to Richard Lynch from comment #140)
> This bug completely locks up the application, and in my case, "Force Quit"
> wasn't even an option.
> 
> Had to open a Terminal and use ps auxwww | grep Firefox to find the pid and
> kill -9 it.
> 
> I don't think many users will know how to do that...
> 
> At any rate, I hate to complain about free open source software, but there
> are a lot of votes for this.  Even more if you add up all the votes for the
> duplicates.
> 
> And it's been hanging around for over 2 years.
> 
> I'd take a shot at fixing it myself, but my C skills are so rusty that would
> be pointless.

For what it's worth, you can make 'Force Quit' appear in a Dock right-click menu by halding down alt/option.
Comment 144 Matthias Versen [:Matti] 2012-09-22 07:49:46 PDT
*** Bug 793402 has been marked as a duplicate of this bug. ***
Comment 145 Matthias Versen [:Matti] 2012-11-01 16:14:41 PDT
*** Bug 807558 has been marked as a duplicate of this bug. ***
Comment 146 Olivier Croquette 2012-11-09 00:25:53 PST
The bug is still present in Firefox 16.0.2. Pretty annoying, even though the automatic restore of tabs and windows mitigates the annoyance.
Comment 147 Richard Lynch 2012-11-19 09:30:35 PST
This is not just a rare minor annoyance for me...

I am very careful about cookies I allow, and have my preferences set that way.

I can't print nor save nor do much of anything without risk of the third-party cookies popping up a dialog at the most inconvenient time and locking up Firefox.

Advertisements that reload with changing/new cookies are particularly problematic.

Maybe I'm just the only user with these settings, or maybe I'm the only user to report them...
Comment 148 Mounir Lamouri (:mounir) 2012-11-19 14:25:33 PST
The filepicker now has an API to use async call. I think that should prevent this bug. What happens if you have an <input type='file'> and an alert? Does that break? If not, I think you should open a bug on Firefox to change their use of the file picker to use the async API. Feel free to CC me.
Regarding the print dialog, I don't think we have a fix yet. :(
Comment 149 Olivier Croquette 2012-11-20 10:43:59 PST
Hi Mounir

Thank you for your message. Unfortunately, the deadlock occurs even with the filepicker. I have set up a simple test to trigger the bug.

Here is a direct link:
https://ocroquette.fr/firefox/

Here is the HTML code:
<!DOCTYPE html>
<html>
<body>
<script>
window.setTimeout("while(1) { }",5000);
</script>
<ul>
<li>Click on "Browse" within 5s
<li>The modal file dialog opens
<li>Wait
<li>The endless Javascript loop starts
<li>The "unresponsive script" modal dialog appears
<li>GUI DEADLOCK (on MacOS X at least)
<ul>
<input type="file">
</body>
</html>
Comment 150 Mounir Lamouri (:mounir) 2012-11-20 12:33:18 PST
I'm afraid I can't help much then. I do not know much about our MacOS X code and I do not use MacOS.
Comment 151 Steven Michaud [:smichaud] (Retired) 2012-11-20 13:56:04 PST
Bug 731307 added support for an asynchronous nsIFilePicker.  And in principal it includes changes that'd make the code from comment #149 spawn an asynchronous filepicker.  But, because of the way modal dialogs work on OS X, an asynchronous file picker *must* be either a sheet (if it's a native object) or a tab-modal "html window".  (See bug 478073.)

What kind of filepicker do you get running the code from comment #149?  If it's a native window, it won't work properly.

I still intend to keep working on the Mac-specific side of this problem at bug 729720.  But lately I haven't had much time to devote to it.
Comment 152 Steven Michaud [:smichaud] (Retired) 2012-11-20 13:59:00 PST
Note that the patches for bug 731307 haven't yet gotten into a release.  But they *are* in the Firefox 17 betas.
Comment 153 :Gavin Sharp [email: gavin@gavinsharp.com] 2012-11-20 14:38:54 PST
Firefox 17 is now released, as of a few hours ago :)
Comment 154 Olivier Croquette 2012-11-21 00:01:16 PST
In case anyone is wondering, the problem is still present in Firefox 17.

PS: I didn't realize the initial bug report already contained an example to trigger it, sorry. Now we have 2 :)
Comment 155 schliden 2013-02-27 18:38:17 PST
Still an issue in FF 19
Comment 156 Brooks Adcock 2013-02-27 20:14:26 PST Comment hidden (advocacy)
Comment 157 Matthias Versen [:Matti] 2013-03-24 13:02:31 PDT
*** Bug 854216 has been marked as a duplicate of this bug. ***
Comment 158 Randall Britten 2013-04-11 17:02:23 PDT
Still present in FF 20.0
Comment 159 Wayne Mery (:wsmwk, NI for questions) 2013-09-24 14:42:23 PDT
*** Bug 796986 has been marked as a duplicate of this bug. ***
Comment 160 [:Aleksej] 2013-12-05 14:02:26 PST
*** Bug 867806 has been marked as a duplicate of this bug. ***
Comment 161 [:Aleksej] 2013-12-05 14:03:37 PST
*** Bug 448452 has been marked as a duplicate of this bug. ***
Comment 162 [:Aleksej] 2013-12-05 14:06:08 PST
*** Bug 640973 has been marked as a duplicate of this bug. ***
Comment 163 tatze@gmx.at 2013-12-05 14:45:42 PST
Still present in FF 25.0.x (and Nightly 28)
Comment 164 Elias Hedberg 2013-12-16 04:36:44 PST
The problem is also triggered if you leave the save dialog open too long when saving pages/screenshots with "Pearl Crescent Page Saver Basic" (http://pearlcrescent.com/products/pagesaver/).
Comment 165 Steven Michaud [:smichaud] (Retired) 2014-04-08 20:07:25 PDT
*** Bug 992490 has been marked as a duplicate of this bug. ***
Comment 166 tatze@gmx.at 2014-04-09 01:21:58 PDT
Still present in Nightly 31.
Comment 167 Steven Michaud [:smichaud] (Retired) 2014-04-23 08:43:33 PDT
*** Bug 1000235 has been marked as a duplicate of this bug. ***
Comment 168 Ambrose Li 2014-06-22 23:36:04 PDT
I actually think it was a mistake to merge the unresponsive script dialog bugs with this one. The two issues should be un-unified, if that’s even possible. The two are separate but related issues.

The thing with the unresponsive script dialogs is that when a modal dialog is open, Firefox should not even be monitoring for unresponsive scripts because the modal dialog will block the execution of scripts, so scripts will always be wrongly detected as unresponsive.
Comment 169 Steven Michaud [:smichaud] (Retired) 2014-06-23 08:08:12 PDT
> The thing with the unresponsive script dialogs is that when a modal
> dialog is open, Firefox should not even be monitoring for
> unresponsive scripts because the modal dialog will block the
> execution of scripts, so scripts will always be wrongly detected as
> unresponsive.

Interesting idea ... though I'm not sure it's true that a modal dialog
always blocks the execution of scripts.

Please open a new bug on this, so we can pursue the discussion
elsewhere.

Give it a subject something like "Unresponsive script dialogs
shouldn't appear when a modal dialog is displayed".  Categorize it as
"Core : XPConnect".  When you're done post the bug number here.
Comment 170 [:Aleksej] 2014-06-24 04:02:23 PDT
*** Bug 1028864 has been marked as a duplicate of this bug. ***
Comment 171 Matthias Versen [:Matti] 2014-10-04 11:31:13 PDT
*** Bug 945388 has been marked as a duplicate of this bug. ***
Comment 172 Matthias Versen [:Matti] 2014-10-12 14:28:53 PDT
*** Bug 1081718 has been marked as a duplicate of this bug. ***
Comment 173 Matthias Versen [:Matti] 2014-11-06 12:16:36 PST
*** Bug 1094831 has been marked as a duplicate of this bug. ***
Comment 174 Wayne Mery (:wsmwk, NI for questions) 2015-05-19 04:06:29 PDT
*** Bug 714212 has been marked as a duplicate of this bug. ***
Comment 175 Javi Rueda 2015-05-26 04:35:30 PDT
*** Bug 1164411 has been marked as a duplicate of this bug. ***
Comment 176 alta88 2015-05-26 07:09:27 PDT
*** Bug 956618 has been marked as a duplicate of this bug. ***
Comment 177 Matthias Versen [:Matti] 2015-06-12 02:47:19 PDT
*** Bug 1173741 has been marked as a duplicate of this bug. ***
Comment 178 Javi Rueda 2015-07-10 10:56:46 PDT
*** Bug 1172962 has been marked as a duplicate of this bug. ***
Comment 179 Wayne Mery (:wsmwk, NI for questions) 2015-11-19 03:41:21 PST
*** Bug 712633 has been marked as a duplicate of this bug. ***
Comment 180 alta88 2015-11-20 07:41:56 PST
See also Bug 1224790 comment 18 for an analysis; that bug fixes some but not all modal issues noted here.
Comment 181 Wayne Mery (:wsmwk, NI for questions) 2015-11-29 11:45:57 PST
*** Bug 982762 has been marked as a duplicate of this bug. ***
Comment 182 YF (Yang) 2015-12-31 04:11:53 PST
*** Bug 1172236 has been marked as a duplicate of this bug. ***
Comment 183 Tooru Fujisawa [:arai] 2016-01-12 00:09:51 PST
*** Bug 1238787 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.